Bug 146322 - PostScript pages print blank on Panasonic KX-P1124i
PostScript pages print blank on Panasonic KX-P1124i
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 17:48 EST by Robert Nichols
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 10:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CUPS error_log for enscript output to KX-P1124i (17.21 KB, text/plain)
2005-01-28 11:20 EST, Robert Nichols
no flags Details
Sample printout using KX-P1124 "epson" driver (3.58 KB, image/png)
2005-02-02 13:07 EST, Robert Nichols
no flags Details

  None (edit)
Description Robert Nichols 2005-01-26 17:48:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When I set up a locally connected Panasonic KX-P1124i printer on
/dev/lp1 with default options using system-config-printer-0.6.116-1,
sending a PostScript job to the printer just feeds blank pages.  The
"CUPS test page" and the "US Letter PostScript test page" print OK,
but jobs sent from enscript or Mozilla print blank.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Using system-config-printer, set up a queue named "lptest" for a
Panasonic KX-P1124i printer on local port /dev/lp1 using all default
options (omni-compiled driver -- the only choice).
2. Click "Yes" when asked to print a test page.
3. Run "echo hello | enscript -P lptest".
    

Actual Results:  The CUPS test page prints just fine.  The job
submitted by enscript prints a blank page.

Expected Results:  A normal page from enscript, with a header and the
word "hello".

Additional info:

PostScript output from gimp prints correctly.  Gimp is producing
PostScript level 2, while enscript and Mozilla generate PostScript
level 3.  I suspect the interpreter is mishandling PostScript level 3
for this device.  PostScript level 3 is working fine on other devices
(e.g., Okipage 6ex using the ljet4 driver).
Comment 1 Tim Waugh 2005-01-28 09:25:43 EST
Please try enabling the "Prerender PostScript" option on the driver options
page.  Does that fix the problem?
Comment 2 Robert Nichols 2005-01-28 11:18:39 EST
BTDT -- no change.  I'll attach the CUPS error_log (LogLevel debug) from an
"echo hello | enscript -Plp" job.  On my system "lp" is a KX-P1124i.
Comment 3 Robert Nichols 2005-01-28 11:20:03 EST
Created attachment 110358 [details]
CUPS error_log for enscript output to KX-P1124i
Comment 4 Tim Waugh 2005-02-02 10:18:06 EST
How about if you try changing the model from KX-P1124i to KX-P1124 using
system-config-printer, so that you use the "epson" driver instead?
Comment 5 Robert Nichols 2005-02-02 13:06:40 EST
I am unable to edit the existing queue.  See bug 146908.  If I create a new
print queue and use the KX-P1124 "epson" driver, the "echo hello | enscript
-Plptest" does print text on the page, but with the print quality of a bad 9-pin
printer.  See attachment.
Comment 6 Robert Nichols 2005-02-02 13:07:45 EST
Created attachment 110561 [details]
Sample printout using KX-P1124 "epson" driver
Comment 7 Tim Waugh 2005-02-03 12:16:21 EST
Hmm.  You could try changing the 'Resolution' field -- does that improve things?
Comment 8 Robert Nichols 2005-02-03 16:44:07 EST
OK.  Many of the resolutions for the KX-P1124 don't correspond to anything the
KX-P1124i is capable of doing, but 180x180 DPI is satisfactory for the few times
I actually send PostScript to that printer.

So, I guess my complaint now reduces to the apparent inability of the
"omni-compiled" driver to handle PostScript level 3.
Comment 9 Tim Waugh 2005-03-30 10:25:54 EST
FC4 will not include the Omni driver.

Note You need to log in before you can comment on or make changes to this bug.